Bug 203688 - No drives listed at computer:///
No drives listed at computer:///
Product: Fedora
Classification: Fedora
Component: hal (Show other bugs)
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: David Zeuthen
Depends On:
  Show dependency treegraph
Reported: 2006-08-23 03:03 EDT by Joachim Selke
Modified: 2013-03-05 22:46 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-10-06 14:19:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Output of "lshal" (100.08 KB, text/plain)
2006-08-23 08:53 EDT, Joachim Selke
no flags Details

  None (edit)
Description Joachim Selke 2006-08-23 03:03:03 EDT
Description of problem:
After a fresh install (including updates) of FC5 my drives (DVD recorder and
floppy) are not listed in GNOME at the computer:/// location. I only see the
entries "filesystem" and "network". But I can mount and access my drives
manually per /dev/dvd (symlink to /dev/scd0) and /dev/floppy-fd0 (symlink to
/dev/fd0). Automounting of medias inserted into the DVD drive does not work
either. Surprisingly, my USB flash drive gets mounted automatically when
inserted and is listed at the computer:/// location.

The same problem occured when I installed the current (of 22.8.2006) development
snapshot of FC6.

My hardware:
My mainboard is an Asus M2N-SLI Deluxe (x86_64, NVIDIA nForce 570 SLI
MCP chipset). My DVD recorder is a Plextor PX-760SA (SATA).

Version-Release number of selected component (if applicable):
FC5: gnome-vfs2-2.14.2-1
FC6: gnome-vfs2-2.15.92-1.fc6
Comment 1 David Jansen 2006-08-23 05:36:25 EDT
As another datapoint: my computer (FC5, fresh install a couple of weeks ago,
fully updated) has the same problem with the floppy drive. Fortunately for me,
the dvd drive and usb sticks work fine (and are listed in computer:/// if present).
Comment 2 Alexander Larsson 2006-08-23 07:39:33 EDT
Is the missing devices listed in hal-device-manager?
Comment 3 Joachim Selke 2006-08-23 08:53:36 EDT
Created attachment 134707 [details]
Output of "lshal"

(In reply to comment #2)
> Is the missing devices listed in hal-device-manager?

Yes, they are listed there. I append the output of "lshal". Look for the
strings "PLEXTOR" and "floppy".
Comment 4 Alexander Larsson 2006-08-23 11:14:28 EDT
For some reason they don't list storage in info.capabilities, so gnome-vfs2
doesn't see them.
Comment 5 Joachim Selke 2006-08-30 11:37:13 EDT
Ok, so it seems to be an HAL issue. How can I help to resolve it?
Comment 6 Joachim Selke 2006-10-06 14:19:17 EDT
The bug is fixed in current development version.

Note You need to log in before you can comment on or make changes to this bug.